.site-footer {
    position: relative;
    z-index: 1;
    height: auto;
    min-height: 0;
    background-color: #0a0a0a;
    color: var(--base-color);
    padding: 1rem 10% 1rem 5%;
    font-family: 'Inter', sans-serif;
    border-top: 1px solid rgba(255, 255, 255, 0.05);
}

.footer-content {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    gap: 1rem;
    margin-bottom: 1rem;
    margin-top: 1rem;
}

.footer-logo h3 {
    color: var(--text-navbar-darker);
    font-size: 1.5rem;
    margin-bottom: 0.5rem;
}

.footer-links h4, .footer-contact h4 {
    color: var(--text-navbar-darker);
    margin-bottom: 1.2rem;
    font-size: 1rem;
    text-transform: uppercase;
    letter-spacing: 1px;
}

.footer-links ul {
    list-style: none;
    padding: 0;
}

.footer-links li {
    margin-bottom: 0.8rem;
}

.footer-contact li {
    margin-bottom: 0.8rem;
    list-style: none;
}

.footer-socials a,
.footer-socials a:visited,
.footer-socials a:active {
    text-decoration: none;
    color: var(--text-navbar-darker);
    transition: color 0.3s ease;
    text-underline-offset: 5px;
    text-decoration-thickness: 1px;
}

.footer-links a,
.footer-links a:visited,
.footer-links a:active {
    text-decoration: none;
    color: var(--text-navbar-darker);
    transition: color 0.3s ease;
    text-underline-offset: 5px;
    text-decoration-thickness: 1px;
}

.footer-links a:hover {
    color: var(--hover-color);
}

.footer-socials a:hover {
    color: var(--hover-color);
}

.footer-bottom {
    text-align: center;
    padding: 1rem 0;
    border-top: 1px solid rgba(255, 255, 255, 0.05);
    opacity: 0.6;
    
    font-size: 0.8rem !important; 
    line-height: 1 !important;
    margin: 0 !important;
}

.footer-bottom p {
    margin: 0 auto !important;
    width: fit-content;
    text-align: center;

    font-size: 0.8rem !important;
    margin: 0;
    padding: 0;
}